package sub_arctic.anim;

/**
 * This is a simpler version of the the animatable interface (with fewer
 * parameters).<p>
 * 
 * @author Ian Smith
 */
public interface simple_animatable {
  /* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */

  /**
   * This function gets called when the transition starts. <p>
   *
   * @param Object start_obj the start time mapped through the trajectory
   */
  public void start_transition(Object start_obj);

  /* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */

  /**
   * This function gets called as the transition progresses. You receive
   * a time interval mapped through the pacing and trajectory functions.<p>
   *
   * @param Object start_obj the start time mapped through the trajectory
   * @param Object end_obj the end time mapped through the trajectory
   */
  public void transition_step(Object start_obj, Object end_obj);

  /* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */

  /**
   * This function is called when a transition ends.  You receive
   * a time interval mapped through the pacing and trajectory functions.<p>
   *
   * @param Object start_obj the start time mapped through the trajectory
   * @param Object end_obj the end time mapped through the trajectory
   */
  public void end_transition(Object start_obj, Object end_obj);

  /* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */
}
/*=========================== COPYRIGHT NOTICE ===========================

This file is part of the subArctic user interface toolkit.

Copyright (c) 1996 Scott Hudson and Ian Smith
All rights reserved.

The subArctic system is freely available for most uses under the terms
and conditions described in 
  http://www.cc.gatech.edu/gvu/ui/sub_arctic/sub_arctic/doc/usage.html 
and appearing in full in the lib/interactor.java source file.

The current release and additional information about this software can be 
found starting at: http://www.cc.gatech.edu/gvu/ui/sub_arctic/

========================================================================*/
